POST
/user/create-demo-node
const url = 'https://example.com/user/create-demo-node';const options = { method: 'POST', headers: {'X-Tenzir-UserKey': '<X-Tenzir-UserKey>', 'Content-Type': 'application/json'}, body: '{"tenant_id":"example","node_name":"example","env_overrides":[]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/user/create-demo-node \ --header 'Content-Type: application/json' \ --header 'X-Tenzir-UserKey: <X-Tenzir-UserKey>' \ --data '{ "tenant_id": "example", "node_name": "example", "env_overrides": [] }'Authorizations
Section titled “Authorizations ”Request Body required
Section titled “Request Body required ” Media type application/json
CreateDemoNodeRequest
Create a new demo node.
Return an error if that user already has a demo node.
object
tenant_id
required
Tenant Id
string
node_name
required
Node Name
string
env_overrides
Env Overrides
Array<string>
Responses
Section titled “ Responses ”Successful Response
Media type application/json
NodeStatus
Describes the current status of a node
This object represents both the internal connection state of the Node domain object and the result of a live connectivity check.
DEPRECATED: connected is deprecated, use lifecycle_state instead.
object
name
required
Name
string
node_id
required
Node Id
string
create_date_time
required
Create Date Time
string
last_known_features
required
Last Known Features
Array<string>
demo
required
Demo
boolean
ephemeral
Ephemeral
boolean
connected
required
Connected
DEPRECATED: Use lifecycle_state field instead
boolean
lifecycle_state
required
NodeLifecycleState
string
has_failed_pipelines
required
Has Failed Pipelines
boolean
Example
{ "ephemeral": false, "lifecycle_state": "created"}{"detail": "Demo node already exists"}
{"detail": "Invalid API Key"}
{"detail": "Not permitted to access this tenant"}
{"detail": "Tenant not found"}
Validation Error
Media type application/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Example generated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example" } ]}